Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.datax.jaudio
Class JAudioBlock

    java.lang.Object
      |
      +--cnrg.itx.datax.jaudio.QueueElement
            |
            +--cnrg.itx.datax.jaudio.JAudioBlock

public class JAudioBlock
extends cnrg.itx.datax.jaudio.QueueElement

Field Summary
`protected int` | `wpHeader`

Constructor Summary
`JAudioBlock(byte[] data)`
`JAudioBlock(int newDesiredLength)`

Method Summary
`java.lang.Object` | `clone()`
`byte[]` | `getData()`
`JAudioBlock` | `getNext()`
`protected boolean` | `grabUsedInLock()`
`protected boolean` | `grabUsedOutLock()`
`protected void` | `markAsFinished()`
`void` | `setData(byte[] b)`
`void` | `setNext(JAudioBlock jabNext)`
`void` | `waitUntilFinished()`

Methods inherited from class cnrg.itx.datax.jaudio.QueueElement
`GetNext, GetObject, SetNext, SetObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wpHeader

    protected int wpHeader

Constructor Detail

### JAudioBlock

    public JAudioBlock(byte[] data)
                throws JAudioException

### JAudioBlock

    public JAudioBlock(int newDesiredLength)
                throws JAudioException

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

### waitUntilFinished

    public void waitUntilFinished()
                           throws java.lang.InterruptedException

### getData

    public byte[] getData()

### setData

    public void setData(byte[] b)

### setNext

    public void setNext(JAudioBlock jabNext)

### getNext

    public JAudioBlock getNext()

### markAsFinished

    protected void markAsFinished()

### grabUsedOutLock

    protected boolean grabUsedOutLock()

### grabUsedInLock

    protected boolean grabUsedInLock()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD